Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Attributes | List of all members
ClpPEPrimalColumnDantzig Class Reference

`#include <ClpPEPrimalColumnDantzig.hpp>`

Inheritance diagram for ClpPEPrimalColumnDantzig:
[legend]
Collaboration diagram for ClpPEPrimalColumnDantzig:
[legend]

## Public Member Functions
| ClpPEPrimalColumnDantzig (double psi=0.5)
| constructors More...
| ClpPEPrimalColumnDantzig (const ClpPEPrimalColumnDantzig &)
| ~ClpPEPrimalColumnDantzig ()
| destructor More...
ClpPEPrimalColumnDantzig & | operator= (const ClpPEPrimalColumnDantzig &rhs)
| assignment operator More...
ClpPrimalColumnPivot * | clone (bool copyData=true) const
| clone More...
virtual int | pivotColumn (CoinIndexedVector *updates, CoinIndexedVector *spareRow1, CoinIndexedVector *spareRow2, CoinIndexedVector *spareColumn1, CoinIndexedVector *spareColumn2)
| Returns pivot column, -1 if none. More...
virtual void | saveWeights (ClpSimplex *model, int mode)
| Save weights - this may initialize weights as well This is as parent but may initialize ClpPESimplex. More...
Public Member Functions inherited from ClpPrimalColumnDantzig
| ClpPrimalColumnDantzig ()
| Default Constructor. More...
| ClpPrimalColumnDantzig (const ClpPrimalColumnDantzig &)
| Copy constructor. More...
ClpPrimalColumnDantzig & | operator= (const ClpPrimalColumnDantzig &rhs)
| Assignment operator. More...
virtual | ~ClpPrimalColumnDantzig ()
| Destructor. More...
Public Member Functions inherited from ClpPrimalColumnPivot
virtual void | updateWeights (CoinIndexedVector *input)
| Updates weights - part 1 (may be empty) More...
virtual int | pivotRow (double &way)
| Signals pivot row choice: -2 (default) - use normal pivot row choice -1 to numberRows-1 - use this (will be checked) way should be -1 to go to lower bound, +1 to upper bound. More...
virtual void | clearArrays ()
| Gets rid of all arrays (may be empty) More...
virtual bool | looksOptimal () const
| Returns true if would not find any column. More...
virtual void | setLooksOptimal (bool flag)
| Sets optimality flag (for advanced use) More...
| ClpPrimalColumnPivot ()
| Default Constructor. More...
| ClpPrimalColumnPivot (const ClpPrimalColumnPivot &)
| Copy constructor. More...
ClpPrimalColumnPivot & | operator= (const ClpPrimalColumnPivot &rhs)
| Assignment operator. More...
virtual | ~ClpPrimalColumnPivot ()
| Destructor. More...
ClpSimplex * | model ()
| Returns model. More...
void | setModel (ClpSimplex *newmodel)
| Sets model. More...
int | type ()
| Returns type (above 63 is extra information) More...
virtual int | numberSprintColumns (int &numberIterations) const
| Returns number of extra columns for sprint algorithm - 0 means off. More...
virtual void | switchOffSprint ()
| Switch off sprint idea. More...
virtual void | maximumPivotsChanged ()
| Called when maximum pivots changes. More...

## Private Attributes
ClpPESimplex * | modelPE_
double | psi_
int | iCurrent_
int | iInterval_
int | coDegenCompatibles_
int | coConsecutiveCompatibles_
bool | updateCompatibles_

## Additional Inherited Members
Protected Attributes inherited from ClpPrimalColumnPivot
ClpSimplex * | model_
| Pointer to model. More...
int | type_
| Type of column pivot algorithm. More...
bool | looksOptimal_
| Says if looks optimal (normally computed) More...

## Detailed Description

Definition at line 23 of file ClpPEPrimalColumnDantzig.hpp.

## Constructor & Destructor Documentation

ClpPEPrimalColumnDantzig::ClpPEPrimalColumnDantzig | ( | double | psi = `0.5` | ) |

constructors

ClpPEPrimalColumnDantzig::ClpPEPrimalColumnDantzig | ( | const ClpPEPrimalColumnDantzig & |  | ) |

ClpPEPrimalColumnDantzig::~ClpPEPrimalColumnDantzig | ( |  | ) |

destructor

## Member Function Documentation

ClpPEPrimalColumnDantzig& ClpPEPrimalColumnDantzig::operator= | ( | const ClpPEPrimalColumnDantzig & | rhs | ) |

assignment operator

ClpPrimalColumnPivot* ClpPEPrimalColumnDantzig::clone | ( | bool | copyData = `true` | ) | const
| virtual

clone

Reimplemented from ClpPrimalColumnDantzig.

virtual int ClpPEPrimalColumnDantzig::pivotColumn | ( | CoinIndexedVector * | updates,
|  | CoinIndexedVector * | spareRow1,
|  | CoinIndexedVector * | spareRow2,
|  | CoinIndexedVector * | spareColumn1,
|  | CoinIndexedVector * | spareColumn2
| ) |  |
| virtual

Returns pivot column, -1 if none.

Lumbers over all columns - slow The Packed CoinIndexedVector updates has cost updates - for normal LP that is just +-weight where a feasibility changed. It also has reduced cost from last iteration in pivot row Can just do full price if you really want to be slow

Reimplemented from ClpPrimalColumnDantzig.

virtual void ClpPEPrimalColumnDantzig::saveWeights | ( | ClpSimplex * | model,
|  | int | mode
| ) |  |
| virtual

Save weights - this may initialize weights as well This is as parent but may initialize ClpPESimplex.

Reimplemented from ClpPrimalColumnDantzig.

## Member Data Documentation

ClpPESimplex* ClpPEPrimalColumnDantzig::modelPE_
| private

Definition at line 53 of file ClpPEPrimalColumnDantzig.hpp.

double ClpPEPrimalColumnDantzig::psi_
| private

Definition at line 57 of file ClpPEPrimalColumnDantzig.hpp.

int ClpPEPrimalColumnDantzig::iCurrent_
| private

Definition at line 60 of file ClpPEPrimalColumnDantzig.hpp.

int ClpPEPrimalColumnDantzig::iInterval_
| private

Definition at line 61 of file ClpPEPrimalColumnDantzig.hpp.

int ClpPEPrimalColumnDantzig::coDegenCompatibles_
| private

Definition at line 64 of file ClpPEPrimalColumnDantzig.hpp.

int ClpPEPrimalColumnDantzig::coConsecutiveCompatibles_
| private

Definition at line 65 of file ClpPEPrimalColumnDantzig.hpp.

bool ClpPEPrimalColumnDantzig::updateCompatibles_
| private

Definition at line 66 of file ClpPEPrimalColumnDantzig.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/Clp/src/ClpPEPrimalColumnDantzig.hpp